HALT(8)

NOME
halt, reboot, poweroff - param o sistema

RESUMO
/sbin/halt [-d] [-f] [-h] [-i] [-n] [-p] [-w]
/sbin/reboot [-d] [-f] [-i] [-k] [-m <message>] [-n] [-w]
/sbin/poweroff [-d] [-f] [-h] [-i] [-n] [-w]

DESCRIÇÃO
O halt nota que o sistema está a ser arreado no ficheiro /var/log/wtmp, e depois diz ao kernel para ou o parar, reiniciar ou desligar o sistema.

If halt or reboot is called when the system is not in runlevel 0 or 6, in other words when it's running normally, shutdown will be invoked instead (with the -h or -r flag). For more info see the shutdown(8) manpage.

O resto deste manual descreve o comportamento nos níveis de execução (runlevels) 0 e 6, que é quando os scripts de desligar o sistema correm.

OPÇÕES

-d  Não escreve o registo wtmp.

-f  Força halt ou reboot, não chama o shutdown(8).

-h  Põe todos os discos rijos do sistema em modo de espera antes de parar ou desligar a energia.

-i  Desliga todas as interfaces de rede mesmo antes de halt ou reboot. Aviso: Isto pode não funcionar em interfaces que não têm um endereço IP e idealmente devem ser geridas por um serviço de gestão de rede.

-k  Try to reboot using kexec, if kernel supports it.

-m  When running on a Linux system, any quoted parameter after the -m flag will be passed to the firmware to be interpreted at boot time. Some systems, like the Raspberry Pi, can use this to switch target partitions. Please note, this parameter enables -f, forcing the reboot command to handle shutting down itself.

-n  Don't sync before reboot or halt. Note that the kernel and storage drivers may still sync. This implies -d.

-p  When halting the system, switch off the power. This is the default when halt is called as poweroff.

-w  Não reinicia nem pára na realidade mas apenas escreve o registo wtmp (no ficheiro /var/log/wtmp).

DIAGNÓSTICO
Se você não for o super-utilizador, irá receber a mensagem `must be superuser'.

NOTAS
Under older sysvinit releases, reboot and halt should never be called directly. From release 2.74 on, halt and reboot invoke shutdown(8) if the system is not in runlevel 0 or 6. This means that if halt or reboot cannot find out the current runlevel (for example, when /var/run/utmp hasn't been initialized correctly and /var/run/runlevel does not exist) shutdown will be called, which might not be what you want. Use the -f flag if you want to do a hard halt or reboot.

The -h flag puts all hard disks in standby mode just before halt or power-off. Right now this is only implemented for IDE drives. A side effect of putting the drive in stand-by mode is that the write cache on the disk is flushed. This is important for IDE drives, since the kernel doesn't flush the write cache itself before power-off.

O programa halt usa /proc/ide/hd* para encontrar todos os dispositivos de disco IDE, o que significa que /proc precisa de estar montado quando o halt ou poweroff são chamados ou o switch -h não fará nada.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VEJA TAMBÉM
shutdown(8), init(8)